Subject: Re: [PATCH v10 1/1] refs.c: SSE2 optimizations for check_refname_component

From: David Turner <[email-masked]>
Date: Tue, 17 Jun 2014 14:07:13 -0400

On Tue, 2014-06-17 at 11:03 -0700, Junio C Hamano wrote:
> David Turner <[email-masked]> writes:
> 
> > Optimize check_refname_component using SSE2 on x86_64.
> >
> > git rev-parse HEAD is a good test-case for this, since it does almost
> > nothing except parse refs.  For one particular repo with about 60k
> > refs, almost all packed, the timings are:
> >
> > Look up table: 29 ms
> > SSE2:          23 ms
> >
> > This cuts about 20% off of the runtime.
> >
> > Ondřej Bílka <[email-masked]> suggested an SSE2 approach to the
> > substring searches, which netted a speed boost over the SSE4.2 code I
> > had initially written.
> >
> > Signed-off-by: David Turner <[email-masked]>
> > ---
> 
> When applied on top of your dde8a902 (refs.c: optimize
> check_refname_component(), 2014-06-03), this seems to fail t1402 for
> me.
> 
> Test Summary Report
> -------------------
> t1402-check-ref-format.sh (Wstat: 256 Tests: 93 Failed: 9)
>   Failed tests:  28, 36, 38, 40, 63, 75, 77, 85-86
>   Non-zero exit status: 1
> 
> #28 is the one that runs "check-ref-format heads/v@{ation".

Oops, I didn't even notice that test!  I was looking only at t5511!
Will fix.